.mobilmenu {
    height: 85px;
    top: 0;
    position: fixed;
    z-index: 998;
    width: 100vw;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: background-color 0.6s;
}

.mobilmenu.active {
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}

.mobilmenu a {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: opacity 0.5s;
}

.mobilmenu.active a {
    opacity: 1;
}

.mobilmenu a img {
    height: 36px;
    object-fit: contain;
    transition: all 0.5s;
}

.mobilmenu .sidebar-collapse,
.desktop-navbar .sidebar-collapse {
    width: 36px;
    height: 40px;
    border: none;
    outline: none;
    transition: all 0.5s;
    position: relative;
    z-index: 1000;
}

.mobilmenu .hb1,
.desktop-navbar .hb1 {
    position: absolute;
    top: 7px;
    left: 50%;
    transform: translateX(-50%);
    width: 32px;
    border-bottom: 4px solid var(--blue);
    border-radius: 99px;
    transition: all 0.3s;
}

.mobilmenu .hb2,
.desktop-navbar .hb2 {
    position: absolute;
    top: 18px;
    left: 50%;
    transform: translateX(-50%);
    width: 32px;
    border-bottom: 4px solid var(--blue);
    border-radius: 99px;
    transition: all 0.3s;
}

.mobilmenu .hb3,
.desktop-navbar .hb3 {
    position: absolute;
    top: 29px;
    left: 2.5px;
    width: 16px;
    border-bottom: 4px solid var(--blue);
    border-radius: 99px;
    transition: all 0.3s;
}

.desktop-navbar.hidden .hb1,
.desktop-navbar.hidden .hb2,
.desktop-navbar.hidden .hb3 {
    border-bottom: 4px solid #EBD99B;
}

.desktop-navbar .sidebar-collapse:hover .hb1,
.desktop-navbar .sidebar-collapse:hover .hb2,
.desktop-navbar .sidebar-collapse:hover .hb3 {
    border-bottom: 4px solid var(--gold2);
}

/* .mobilmenu .sidebar-collapse.closed .hb1,
.desktop-navbar .sidebar-collapse.closed .hb1 {
    top: 50%;
    right: -5px;
    transform: translate(-50%, -50%) rotate(-45deg);
}

.mobilmenu .sidebar-collapse.closed .hb2,
.desktop-navbar .sidebar-collapse.closed .hb2 {
    right: -100%;
    opacity: 0;
}

.mobilmenu .sidebar-collapse.closed .hb3,
.desktop-navbar .sidebar-collapse.closed .hb3 {
    top: 50%;
    right: -6px;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 32px;
} */

#sidebar {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    right: -100%;
    z-index: 998;
    background: white;
    color: #fff;
    overflow: hidden;
    padding: 0 20px;
    touch-action: none;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}

#sidebar .lang {
    display: none;
}

/*#sidebar .submenu {
    position: absolute;
    top: 50%;
    left: calc(100% + 6vmin);
    transform: translateY(-50%);
}*/
#sidebar .main-links > .link {
    border-bottom: 1px solid #F0F0F0;
}
#sidebar .main-links > .link:last-child {
    border-bottom: none;
}

#sidebar .submenu {
    display: none !important;
}
#sidebar .link.active > .submenu {
    display: block !important;
}

#sidebar .links {
    max-width: 600px;
    width: 100%;
    position: relative;
    overflow-x: hidden;
    margin:5% auto;
    height: 90%;
    /*display: flex;
    flex-direction: column;
    justify-content: center;*/
}

#sidebar .links .links {
    margin: auto;
    height: 100%;
}

#sidebar .main-links {
    max-width: 800px;
    padding: 30px 100px;
}

#sidebar .submenu .links {
    overflow: visible;
}

#sidebar .links a {
    /*font-size: 4.2vmin;
    line-height: 2.2;
    font-weight: 700;
    font-family: CorrectedBold, serif;*/
    font-size: 24px;
    line-height: 2.2;
    font-weight: 600;
    font-family: "Playfair Display SC", Sans-serif;
    text-transform: uppercase;
    color: #425054;
    transition: color 0.3s;
    white-space: nowrap;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#sidebar .links .link.active > a {
    color: #C2AA75AA;
}

#sidebar .links a .plus {
    display: inline-flex;
}

#sidebar .links .link.active a .plus {
    display: none;
}

#sidebar .links a .minus {
    display: none;
}

#sidebar .links .link.active a .minus {
    display: inline-flex;
}

#sidebar .links a:hover {
    color: var(--gold2);
}

#sidebar .submenu .links a {
    font-size: 15px;
    font-weight: 600;
    color: var(--antracit);
    opacity: 1;
    transition: color 0.3s;
    font-family: "Raleway", sans-serif;
    display: block;
    text-transform: none;
    line-height: 2;
}

#sidebar .submenu .links .subservices a {
/*    font-size: 2vmin;*/
    font-size: 12px;
    line-height: 1.8;
    font-weight: 400;
}

/*#sidebar .submenu .links .subservices a:first-of-type {
    margin-top: -1.5vmin;
}*/

#sidebar .submenu .links .back {
    position: relative;
    color: var(--gold2);
    font-weight: 600;
    font-size: 3vmin;
    margin-bottom: 1vmin;
    text-align: left;
    padding: 0;
    background: transparent;
    border: none;
}

#sidebar .submenu .links .back img {
    position: absolute;
    left: -4.5vmin;
    top: 50%;
    transform: translateY(-50%) rotate(180deg);
    height: 1.4vmin;
}

#sidebar .submenu .links a:hover {
    color: var(--gold2);
}

/*#sidebar .links .link:first-of-type a {
    color: var(--blue);
}*/

#sidebar .link a img {
    height: 1.8vmin;
    margin-left: 3vmin;
    margin-bottom: 0.8vmin;
    vertical-align: middle;
    opacity: 0.6;
    transition: opacity 0.3s;
}

#sidebar .link a:hover img {
    opacity: 1;
}

#sidebar .links .socials {
    display: flex;
    gap: 20px;
}

#sidebar .links .socials img {
    width: 38px;
    opacity: 0.6;
    transition: opacity 0.3s;
}

#sidebar .links .socials img:hover {
    opacity: 1;
}

#sidebar .cancel {
    position: absolute;
    top: 40px;
    right: 40px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    z-index: 999;
}

#sidebar .bgshape {
    position: absolute;
    top: 50%;
    left: -7vw;
    height: 160vh;
    transform: translateY(-58%) rotate(20deg);
    opacity: 0.15;
    pointer-events: none;
}

#sidebar .submenu .bgshape {
    left: auto;
    right: -7vw;
    transform: translateY(-58%) rotate(-20deg);
}

@media (min-width: 1079px) {
    .mobilmenu {
        display: none;
    }
}